///////////////////////////////////////
//
//  stuff2.inc
//
//  Copyright R.P. Stolk. 2005. <rpstolk@yahoo.com>
//
//  License: GNU GENERAL PUBLIC LICENSE Version 2, June 1991
//
//  PovComp 2004 entry nr: 409389
//
/////////////////////////////////////////////////////////////


#declare moersleutel_ruw =
 union{
    box     {<10,-0.5, 1.5>,<-10,0.5,-1.5>     }
    cylinder{<11,   0,-1.5>,<-11,  0,-1.5>,0.5 }
    cylinder{<11,   0, 1.5>,<-11,  0, 1.5>,0.5 }

    cylinder{<-12,-0.7, 0>,<-12,0.7, 0>,3 }
    cylinder{< 12,-0.7, 0>,< 12,0.7, 0>,3 }

  }

#declare moersleutel =
 difference{
  object{ moersleutel_ruw }
   cylinder{< -12,-0.8,   0>,< -12, 0.8,   0>,2.5 }
   cylinder{<  12,-0.8,   0>,<  12, 0.8,   0>,2.5 }
   box     {<  12,-0.8, 1.5>,<  15, 0.8,-1.5>     }
   box     {< -12,-0.8, 1.5>,< -15, 0.8,-1.5>     }
   box     {< 8.5, 0.2, 1.3>,<-8.5, 0.6,-1.3>     }
   box     {< 8.5,-0.2, 1.3>,<-8.5,-0.6,-1.3>     }
   
   
  }
 

#declare schroevendraaier_ruw =
 union{                                
   cylinder{<-1,   0,0>,< 6,    0, 0>,0.5 }
   cylinder{<-1,   0,0>,<-7,    0, 0>,1   }
   box     {< 5,0.25,1>,< 7,-0.25,-1>     }
   sphere  {<0,0,0>,1    scale<0.3,1,1> translate<-1,0,0>}  
   sphere  {<0,0,0>,1    scale<0.3,1,1> translate<-7,0,0>}  

  }

#declare schroevendraaier =
 difference{
  object{ schroevendraaier_ruw }
   cylinder{<7, 5, 5  >,<7, 5,-5  >,5 }
   cylinder{<7,-5, 5  >,<7,-5,-5  >,5 }
   cylinder{<5,-5, 5.5>,<5, 5, 5.5>,5 }
   cylinder{<5,-5,-5.5>,<5, 5,-5.5>,5 }


  }
 
 
  object{ moersleutel      rotate y*80  translate<-450,95.7,-950>material {steel1}}
  object{ moersleutel      rotate y*120 translate<-470,95.7,-905>material {steel1}}
  object{ schroevendraaier rotate y*0   translate<-420,  96,-970>material {steel1}}
 
 
   
   
   
   